# Created by pyp2rpm-2.0.0
%global github_user matrix-org
%global pypi_name canonicaljson

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        1%{?dist}.2
Summary:        Canonical JSON

License:        ASL 2.0
URL:            https://github.com/%{github_user}/%{name}
Source0:        https://github.com/%{github_user}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-simplejson >= 3.14.0
BuildRequires:  python3-frozendict >= 1.0

%description
Features
* Encodes objects and arrays as RFC 7159 JSON.
* Sorts object keys so that you get the same result each time.
* Has no inignificant whitespace to make the output as small as possible.
* Escapes only the characters that must be escaped,
  U+0000 to U+0019 / U+0022 / U+0056, to keep the output as small as possible.
* Uses the shortest escape sequence for each escaped character.
* Encodes the JSON as UTF-8.
* Can encode frozendict immutable dictionaries

%package -n     python3-%{pypi_name}
Summary:        Canonical JSON
Requires:       python3-simplejson >= 3.14.0
Requires:       python3-frozendict >= 1.0
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Features
* Encodes objects and arrays as RFC 7159 JSON.
* Sorts object keys so that you get the same result each time.
* Has no inignificant whitespace to make the output as small as possible.
* Escapes only the characters that must be escaped,
  U+0000 to U+0019 / U+0022 / U+0056, to keep the output as small as possible.
* Uses the shortest escape sequence for each escaped character.
* Encodes the JSON as UTF-8.
* Can encode frozendict immutable dictionaries


%prep
%autosetup

%build
%py3_build

%install
%py3_install


%check
%{__python3} -m unittest discover -v

%files -n python3-%{pypi_name} 
%doc README.rst
%doc LICENSE
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/__pycache__/%{pypi_name}.*
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Oct 12 2020 Oleg Girko <ol@infoserver.lv> - 1.4.0-1
- Update to 1.4.0
- Run unit tests properly
* Mon Aug 17 2020 Oleg Girko <ol@infoserver.lv> - 1.3.0-1
- Update to 1.3.0
- Build for Python 3 only
* Fri Apr 13 2018 Oleg Girko <ol@infoserver.lv> - 1.1.3-1
- Update to 1.1.3
* Sun Nov 29 2015 Oleg Girko <ol@infoserver.lv> - 1.0.0-2
- Add proper requires
- Run tests
* Sat Nov 28 2015 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
